Skip to main content
POST
/
v1
/
ai
/
agents
/
tasks
/
{taskId}
/
messages
Send a Message to a Task
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>",
  "agentConfig": "<unknown>",
  "grantedPermissions": [
    {
      "toolName": "execute_sql"
    }
  ]
}
'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/messages"

payload = {
"message": "<string>",
"agentConfig": "<unknown>",
"grantedPermissions": [{ "toolName": "execute_sql" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: '<string>',
agentConfig: '<unknown>',
grantedPermissions: [{toolName: 'execute_sql'}]
})
};

fetch('https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "taskId": "550e8400-e29b-41d4-a716-446655440000"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

taskId
string<uuid>
required

Body

application/json
message
string
required
Minimum string length: 1
agentConfig
any
grantedPermissions
object[] | null

Response

Message sent successfully

taskId
string<uuid>

The unique identifier of the task

Example:

"550e8400-e29b-41d4-a716-446655440000"